%{?nodejs_find_provides_and_requires}

Name:           nodejs-opener
Version:        1.4.1
Release:        1%{?dist}
Summary:        Opens stuff, like webpages and files and executables
BuildArch:      noarch
ExclusiveArch: %{nodejs_arches} noarch

Group:          System Environment/Libraries
License:        WTFPL
URL:            https://github.com/domenic/opener
Source0:        http://registry.npmjs.org/opener/-/opener-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  nodejs-devel

%description
Opens stuff, like webpages and files and executables, cross-platform.

%prep
%setup -q -n package

#get rid of DOS EOLs
sed -i "s|\r||g" LICENSE.txt README.md

%build
#nothing to do

%install
rm -rf %buildroot
mkdir -p %{buildroot}%{nodejs_sitelib}/opener
cp -pr package.json opener.js %{buildroot}%{nodejs_sitelib}/opener

chmod 0755 %{buildroot}%{nodejs_sitelib}/opener/opener.js

mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/opener/opener.js %{buildroot}%{_bindir}/opener

%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%{nodejs_sitelib}/opener
%{_bindir}/opener
%doc LICENSE.txt README.md

%changelog
* Tue Oct 27 2015 Jared Smith <jsmith@fedoraproject.org> - 1.4.1-1
- Update to upstream 1.4.1 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.3.0-7
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.3.0-6
- add macro for EPEL6 dependency generation

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jan 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.3.0-4
- fix EOLs on README.md also

* Fri Jan 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.3.0-3
- rename from opener to nodejs-opener
- add exec permission on opener (executable and lib are same file)
- remove DOS EOLs from LICENSE.txt

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.3.0-2
- add missing build section

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.3.0-1
- initial package generated by npm2rpm
